import { sessionData } from '../storage'
import { defineStore } from '../store'

/**
 * 用户存储对象
 * @returns 
 */
export const useUserStore = defineStore(() => {
    const userInfo = sessionData.getRef('userInfo')

    // 更新用户信息
    const setLoginInfo = (data: Model.LoginInRsp) => {
        sessionData.setValue('userInfo', data)
    }

    return {
        userInfo,
        setLoginInfo
    }
})